/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "generatorset.h"

GeneratorSet::GeneratorSet() :
    outDir("."),
    printStdout(false)
{}

bool GeneratorSet::readParameters(const QMap<QString, QString> args) {
    if (args.contains("output-directory")) {
        outDir = args.value("output-directory");
    }

    printStdout = args.contains("print-stdout");

    return !(args.contains("help") || args.contains("h") || args.contains("?"));
}
