/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef METAJAVA_H
#define METAJAVA_H

#include "abstractmetalang.h"

class MetaJavaClass;
class MetaJavaField;
class MetaJavaFunction;
class MetaJavaType;
class MetaJavaVariable;
class MetaJavaArgument;
class MetaJavaEnumValue;
class MetaJavaEnum;



class MetaJavaType : public AbstractMetaType
{};

class MetaJavaArgument : public AbstractMetaArgument
{};

class MetaJavaField : public AbstractMetaField
{};

class MetaJavaFunction : public AbstractMetaFunction
{};

class MetaJavaEnumValue : public AbstractMetaEnumValue
{};

class MetaJavaEnum : public AbstractMetaEnum
{};

class MetaJavaClass : public AbstractMetaClass
{};

#endif // METAJAVA_H
