/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QTJAMBICONCURRENT_H
#define QTJAMBICONCURRENT_H

#ifndef QT_NO_CONCURRENT

#include <qtjambi_core.h>

#include <QVariant>
#include <qfuture.h>
#include <qfuturewatcher.h>
#include <qfuturesynchronizer.h>

typedef QFutureWatcher<void> QtJambiVoidFutureWatcher;
typedef QFuture<void> QtJambiVoidFuture;
typedef QFutureSynchronizer<void> QtJambiVoidFutureSynchronizer;
typedef QFuture<JObjectWrapper> QtJambiFuture;
typedef QFutureWatcher<JObjectWrapper> QtJambiFutureWatcher;
typedef QFutureSynchronizer<JObjectWrapper> QtJambiFutureSynchronizer;
typedef QFutureIterator<JObjectWrapper> QtJambiFutureIterator;

#endif // QT_NO_CONCURRENT

#endif

