/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef JAMBIRESOURCEBROWSER_H
#define JAMBIRESOURCEBROWSER_H

#include <QtCore/QString>
#include <QtDesigner/QDesignerResourceBrowserInterface>

class JambiResourceBrowser: public QDesignerResourceBrowserInterface
{
    Q_OBJECT
public:
    JambiResourceBrowser(QWidget *parent) : QDesignerResourceBrowserInterface(parent) { }

public slots:
    virtual void updateRootDirs(const QString &paths) = 0;
};

#endif
