/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.examples;

import com.trolltech.qt.gui.*;

@QtJambiExample(name = "Custom Widget")
public class CustomWidgetExample extends QWidget {
    private Ui_CustomWidget ui = new Ui_CustomWidget();

    public CustomWidgetExample(QWidget parent) {
        super(parent);

        ui.setupUi(this);
        QMessageBox.information(this, "Just a hint!",
                "This is an example of how you can make your own custom widgets\n"
              + "and import them in Qt Designer. Try running Qt Designer and look\n"
              + "for Custom Widget in the widget box.");
    }

    public static void main(String[] args) {
        QApplication.initialize(args);

        CustomWidgetExample widget = new CustomWidgetExample(null);
        widget.show();

        QApplication.exec();
    }

}
