/****************************************************************************
**
** Copyright (C) 2005-2008 Trolltech ASA. All rights reserved.
**
** This file is part of the $MODULE$ of the Qt Toolkit.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.examples.tutorial;

import com.trolltech.qt.gui.*;

//! [0]
public class Quit
{
    public static void main(String args[])
    {
        QApplication.initialize(args);

//! [1]
        QPushButton quit = new QPushButton("Quit");
//! [1] //! [2]
        quit.resize(80, 40);
//! [2] //! [3]
        quit.setFont(new QFont("Times", 18, QFont.Weight.Bold.value()));
//! [3]

//! [4]
        quit.clicked.connect(QApplication.instance(), "quit()");
//! [4]

        quit.setWindowTitle("Calling It Quits");
        quit.show();
        QApplication.exec();
    }
}
//! [0]
