/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.qt;

public class QNoImplementationException extends RuntimeException
{
    private static final long serialVersionUID = 1L;
    private static final String NO_IMPLEMENTATION_STRING =
        "The method has no implementation and only exists for compatibility";

    public QNoImplementationException()
    {
        super(NO_IMPLEMENTATION_STRING);
    }

    public QNoImplementationException(Throwable throwable)
    {
        super(NO_IMPLEMENTATION_STRING, throwable);
    }
}
