/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.qt;

/**
 * The super interface of all interface types in Qt Jambi.
 */
public interface QtJambiInterface {

    /**
     * Function that returns a unique identifier for a Qt Jambi object.
     * @return A value which uniquely identifies the native resources held by an object in their life time.
     */
    public long nativeId();

    public void disableGarbageCollection();

    public void setJavaOwnership();
    public void reenableGarbageCollection();
    public QNativePointer nativePointer();
}
