/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** Licensees holding valid Qt Evaluation licenses may use this file in
** accordance with the Qt Evaluation License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.tools.generator;

import java.util.*;

import com.trolltech.qt.core.QDir;

public class GeneratorTest {
    public static void main(String[] args) {
        TypeDatabase db = TypeDatabase.instance();

        QDir.setCurrent("generator");

        db.parseFile("build_all.txt");

        for (Map.Entry<String, TypeEntry> entry : db.entries().entrySet()) {
            System.out.printf("%s : %d\n", entry.getKey(), entry.getValue().type());
        }

    }

}
